Create Flight Search
curl --request POST \
--url https://api.aisa.one/apis/v1/duffel/flights/offer-requests/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"slices": [
{
"origin": "<string>",
"destination": "<string>",
"departure_date": "2023-12-25"
}
],
"passengers": [
{
"type": "adult",
"age": 123
}
],
"max_connections": 1
}
}
'import requests
url = "https://api.aisa.one/apis/v1/duffel/flights/offer-requests/create"
payload = { "data": {
"slices": [
{
"origin": "<string>",
"destination": "<string>",
"departure_date": "2023-12-25"
}
],
"passengers": [
{
"type": "adult",
"age": 123
}
],
"max_connections": 1
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
slices: [{origin: '<string>', destination: '<string>', departure_date: '2023-12-25'}],
passengers: [{type: 'adult', age: 123}],
max_connections: 1
}
})
};
fetch('https://api.aisa.one/apis/v1/duffel/flights/offer-requests/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "orq_0000BAzrX1jsN0lVbavyvg",
"live_mode": true,
"cabin_class": "<string>",
"slices": [
{
"origin": "<string>",
"destination": "<string>",
"departure_date": "2023-12-25"
}
],
"passengers": [
{
"id": "pas_0000BAzrX1jsN0lVbavyvi",
"type": "<string>"
}
],
"offers": [
{
"id": "off_0000BAzrX1wdbYyQFAuAoz",
"total_amount": "70.48",
"total_currency": "USD",
"expires_at": "2023-11-07T05:31:56Z",
"passenger_ids": [
"<string>"
],
"slices": [
{
"id": "<string>",
"segments": [
{
"id": "<string>",
"origin": {
"id": "<string>",
"name": "<string>",
"iata_code": "<string>",
"city_name": "<string>"
},
"destination": {
"id": "<string>",
"name": "<string>",
"iata_code": "<string>",
"city_name": "<string>"
},
"departing_at": "2023-11-07T05:31:56Z",
"arriving_at": "2023-11-07T05:31:56Z",
"flight_number": "<string>",
"operating_carrier": {
"name": "<string>",
"iata_code": "<string>"
}
}
]
}
]
}
]
}
}{
"meta": {
"request_id": "<string>"
},
"errors": [
{
"type": "<string>",
"message": "<string>",
"source": {
"field": "<string>",
"pointer": "<string>"
}
}
]
}Search
Create Flight Search
Search flights by route and passengers and receive priced offers with full segment details.
POST
https://api.aisa.one/apis/v1
/
duffel
/
flights
/
offer-requests
/
create
Create Flight Search
